{
  stdenv
, bash
}:

stdenv.mkDerivation {
  name = "speclaunch";
  src = ./launcher.sh;
  dontUnpack = true;
  dontConfigure = true;
  dontBuild = true;
  installPhase = ''
    mkdir -p $out/bin
    cp $src $out/bin/speclaunch
    chmod +x $out/bin/speclaunch
  '';
  buildInputs = [ bash ];
  enableParallelBuilding = false;
  hardeningDisable = [ "all" ];
  dontStrip = true;
}
